%% generate_pvs_status_script
%   generate the script used for checking the status of a pvs file
% inputs:
%   object:PVS_checker - PVS_checker object
%   filename:string - filename of the pvs file to checkstatus of,
%   excluding extension
% outputs:
%   script_name:string - filename of the script of format name.el
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [script_name] = generate_pvs_status_script(object,filename)
script_name = [filename '_status' '.el'];
fileid = fopen(script_name,'w');
code = ['(typecheck-prove "' filename '") (status-proof-pvs-file "' filename '")'];

fprintf(fileid,code);
fclose(fileid);
end

